swAlpha {oce} | R Documentation

## Seawater thermal expansion coefficient

### Description

Compute alpha, the thermal expansion coefficient for seawater.

### Usage

    swAlpha(salinity, temperature=NULL, pressure=0,
           longitude=300, latitude=30, eos=getOption("oceEOS", default="gsw"))

### Arguments

`salinity` | either practial salinity (in which case `temperature` and `pressure` must be provided) or an `oce` object (in which case `salinity`, etc. are inferred from the object).
`temperature` | in-situ temperature [degC], defined on the ITS-90 scale; see “Temperature units” in the documentation for `swRho`.
`pressure` | pressure [dbar]
`longitude` | longitude of observation (only used if `eos="gsw"`; see ‘Details’).
`latitude` | latitude of observation (only used if `eos="gsw"`; see ‘Details’).
`eos` | equation of state, either `"unesco"` or `"gsw"`.

### Details

If the first argument is a `ctd` object, then salinity, temperature and pressure values are extracted from it, and used for the calculation.

### Value

Value in 1/degC.

### Author(s)

Dan Kelley

### References

The `eos="unesco"` formulae are based on the UNESCO equation of state, but are formulated empirically by Trevor J. McDougall, 1987, Neutral Surfaces, Journal of Physical Oceanography, volume 17, pages 1950-1964. The `eos="gsw"` formulae come from GSW; see references in the `swRho` documentation.

[Package oce version 0.9-18 Index]